# -*- coding: utf-8 -*-

from odoo import api, fields, models


class Product(models.Model):
    _inherit = "product.product"

    product_type = fields.Selection([
        ('project', '專案'),
        ('component', '物料')], default='component', string='產品類型')

    component_type = fields.Selection([
        ('none', '未選擇'),
        ('product', '成品'),
        ('processed', '加工件'),
        ('3d', '3D 列印件'),
        ('consumable', '消耗品'),
        ('cb', '電控箱'),
        ('ec', '電子材料')], default=lambda self: 'product' if self.product_type == 'component' else 'none', string='物料類型')


class ProductTemplate(models.Model):
    _inherit = "product.template"

    product_type = fields.Selection([
        ('project', '專案'),
        ('component', '物料')], default='component', string='產品類型')

    component_type = fields.Selection([
        ('none', '未選擇'),
        ('product', '成品'),
        ('processed', '加工件'),
        ('3d', '3D 列印件'),
        ('consumable', '消耗品'),
        ('cb', '電控箱'),
        ('ec', '電子材料')], default=lambda self: 'product' if self.product_type == 'component' else 'none',
        string='物料類型')
