import json

from odoo import http


class PurchaseOrderDump(http.Controller):
    @http.route('/purchase/order/dump', type='http', auth='user')
    def index(self, **kw):
        def ensure_str(s):
            return s if s else ''

        res = {}
        purchase_order = http.request.env['purchase.order'].search([('id', '=', kw.get('id'))])
        res['inquiry_code'] = ensure_str(purchase_order.inquiry_id.code)
        res['date'] = str(purchase_order.create_date).split(' ')[0]
        res['partner'] = purchase_order.partner_id.name
        res['contract_name'] = ensure_str(purchase_order.contract_name)
        res['partner_vat'] = ensure_str(purchase_order.partner_id.vat)
        res['contract_phone'] = ensure_str(purchase_order.contract_phone)
        res['contract_email'] = ensure_str(purchase_order.contract_email)
        res['partner_zip'] = ensure_str(purchase_order.partner_id.zip)
        res['partner_address'] =  ensure_str(purchase_order.partner_id.state_id.name) + \
            ensure_str(purchase_order.partner_id.city) + \
            ensure_str(purchase_order.partner_id.street) + \
            ensure_str(purchase_order.partner_id.street2)
        res['products'] = []
        for line in purchase_order.order_line:
            res['products'].append({
                'product': ensure_str(line.product_id.name),
                'qty': ensure_str(line.product_qty),
                'price': ensure_str(line.price_unit),
            })
        return json.dumps(res)
